|  | Home | Documentation | saml1__AssertionType::__saml1__union_AssertionType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml1__AssertionType::__saml1__union_AssertionType Struct Reference

`#include <saml1.h>`

Collaboration diagram for saml1__AssertionType::__saml1__union_AssertionType:
[legend]

## Public Attributes

struct saml1__StatementAbstractType * | saml1__Statement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Statement.
struct saml1__SubjectStatementAbstractType * | saml1__SubjectStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectStatement.
struct saml1__AuthenticationStatementType * | saml1__AuthenticationStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AuthenticationStatement.
struct saml1__AuthorizationDecisionStatementType * | saml1__AuthorizationDecisionStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AuthorizationDecisionStatement.
struct saml1__AttributeStatementType * | saml1__AttributeStatement
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AttributeStatement.

## Member Data Documentation

## ◆ saml1__AttributeStatement

struct saml1__AttributeStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AttributeStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AttributeStatement.

Choice of element (one of multiple choices).

## ◆ saml1__AuthenticationStatement

struct saml1__AuthenticationStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AuthenticationStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AuthenticationStatement.

Choice of element (one of multiple choices).

## ◆ saml1__AuthorizationDecisionStatement

struct saml1__AuthorizationDecisionStatementType* saml1__AssertionType::__saml1__union_AssertionType::saml1__AuthorizationDecisionStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"AuthorizationDecisionStatement.

Choice of element (one of multiple choices).

## ◆ saml1__Statement

struct saml1__StatementAbstractType* saml1__AssertionType::__saml1__union_AssertionType::saml1__Statement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"Statement.

Choice of element (one of multiple choices).

## ◆ saml1__SubjectStatement

struct saml1__SubjectStatementAbstractType* saml1__AssertionType::__saml1__union_AssertionType::saml1__SubjectStatement

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectStatement.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml1.h